Bug 809697 (CVE-2012-1616)

Summary: CVE-2012-1616 icclib: Use-after-free via crafted ICC profile files
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: rhughes, security-response-team, twaugh
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20120423,reported=20120402,source=researcher,cvss2=4.4/AV:L/AC:M/Au:N/C:P/I:P/A:P,rhel-5/ghostscript=notaffected,rhel-6/ghostscript=notaffected,fedora-all/ghostscript=notaffected,fedora-all/argyllcms=affected,cwe=CWE-416[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-06-19 01:45:23 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 815317    
Bug Blocks: 809699    

Description Huzaifa S. Sidhpurwala 2012-04-04 01:56:53 EDT
A Use-after-free vulnerability was found in the way icclib, a library used for reading and writing of color profile files that conform to the International Color Consortium (ICC) Profile Format Specification, processed certain crafted ICC profile files. The ICC Profile Format is a cross-platform device profile format that can be used to translate color data created on one device into another device's native color space. 

A remote attacker could provide a specially crafted file and trick a local user into opening it, which could lead to arbitrary code execution with the privileges of the user running an application linked against icclib.

Red Hat would like to thank Marc Schoenefeld for reporting this flaw.
Comment 10 Huzaifa S. Sidhpurwala 2012-04-23 06:54:59 EDT
Created argyllcms tracking bugs for this issue

Affects: fedora-all [bug 815317]
Comment 12 Fedora Update System 2012-05-04 16:30:17 EDT
argyllcms-1.4.0-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.